const { Subscription } = require('./src/models');

async function checkSubscriptions() {
  try {
    const subscriptions = await Subscription.findAll();
    console.log('所有订阅配置:');
    console.log('='.repeat(80));
    
    if (subscriptions.length === 0) {
      console.log('数据库中没有订阅配置');
      return;
    }
    
    subscriptions.forEach(sub => {
      console.log(`ID: ${sub.id}`);
      console.log(`名称: ${sub.name}`);
      console.log(`URL: ${sub.url}`);
      console.log(`活跃状态: ${sub.isActive}`);
      console.log(`创建时间: ${sub.createdAt}`);
      console.log(`更新时间: ${sub.updatedAt}`);
      console.log('-'.repeat(40));
    });
  } catch (error) {
    console.error('检查订阅配置失败:', error.message);
  }
}

checkSubscriptions(); 